#define GVT_DONT_UNDEF
#include TEST_HEADER
#include <stdio.h>
#include "Testdata.h"

int main()
{
	int n;
	GVT(t) s;

	GVT(init)(&s);

	printf("I u=%d a=%d\n", s.used, s.alloced);

	for(n = 0; n < 6; n++)
		GVT(append_array)(&s, str10sep);
	printf("init u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove)(&s, 6, 1);
	printf("6,1  u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove)(&s, 2, 0);
	printf("2,0  u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove)(&s, 12, 8);
	printf("12,8 u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove)(&s, 44, 7);
	printf("44,7 u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove)(&s, 35, 7000);
	printf("35,* u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove_bw)(&s, 4, 2);
	printf("4,-2 u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove_bw)(&s, 3, 4);
	printf("3,-4 u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove_bw)(&s, 30, 7);
	printf("30,- u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);

	GVT(remove_bw)(&s, s.used-1, 7000);
	printf("*,-* u=%d a=%d " PSTR "\n", s.used, s.alloced, s.array);



	GVT(uninit)(&s);
	return 0;
}
