/* Test if removing elements work properly with destructors */
#include "common.h"

int main()
{
	ovt_t a;
	obj_t o;
	int n;

	can_not_check_beyond = 1; /* because of memmoves() in the main array */

	auto_init(a);
	print_arr("init ", &a);

	for(n = 0; n < 60; n++) {
		oprintf(&o, "%d", n);
		ovt_append(&a, o);
	}
	print_arr("fill ", &a);

	ovt_remove(&a, 6, 1);
	print_arr("6,1  ", &a);

	ovt_remove(&a, 2, 0);
	print_arr("2,0  ", &a);

	ovt_remove(&a, 12, 8);
	print_arr("12,8 ", &a);

	ovt_remove(&a, 44, 7);
	print_arr("44,7 ", &a);

	ovt_remove(&a, 35, 7000);
	print_arr("35,* ", &a);

	ovt_remove_bw(&a, 4, 2);
	print_arr("4,-2 ", &a);

	ovt_remove_bw(&a, 3, 4);
	print_arr("3,-4 ", &a);

	ovt_remove_bw(&a, 30, 7);
	print_arr("30,- ", &a);

	ovt_remove_bw(&a, a.used-1, 7000);
	print_arr("*,-* ", &a);

	auto_uninit(&a);
	return 0;
}
