/* Make sure holes are always initialized, even if they are not newly allocated */
#include "common.h"

int main()
{
	GVT(t) a;
	int n;

	auto_init(a);
	print_arr("init ", &a);

	for(n = 0; n < 20; n++)
		GVT(append)(&a, n);
	print_arr("init", &a);

	GVT(resize)(&a, 10);
	print_arr("cut ", &a);

	GVT(set)(&a, 15, 42);
	print_arr("set ", &a);

	GVT(enlarge)(&a, 18);
	print_arr("enlrg ", &a);

	GVT(uninit)(&a);
}
